<?php

class XmlToJson {

	public function Parse ($url) {

		$fileContents= file_get_contents($url);

		$fileContents = str_replace(array("\n", "\r", "\t"), '', $fileContents);

		$fileContents = trim(str_replace('"', "'", $fileContents));

		$simpleXml = simplexml_load_string($fileContents);
		
		//Nos posicionamos sobre el padre de la lista de elementos Movie
		$peliculas = $simpleXml->Catalog->Contents;
         
		//Vamos a recorrer e ir añadiendo el precio
     	foreach ($peliculas->Movie  as $pelicula) {
  
		//Calculo un precio aleatorio entre 10 y 100 euros. ()
		$precio = rand(10, 100); 
        $pelicula->addAttribute('Precio', $precio);
		}
		//$json = json_encode($simpleXml);
        $json = json_encode($peliculas);
        
		return $json;

	}

}

$conversor = new XmlToJson();

$resultadojson = $conversor->Parse('top50.xml');


header('Access-Control-Allow-Origin: *');
header('Content-type: application/json'); 
echo $resultadojson;
?>
